Ivy14
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy
Class Ivy14

    java.lang.Object
      org.apache.ivy.Ivy14

    public class Ivy14

extends java.lang.Object

This class can be used for easy migration from Ivy 1.4 API.

Indeed, Ivy 2.0 API has changed substantially, so it can take time to migrate existing code using Ivy 1.4 API to the new API. Using this class it's really easy: replace your instance of Ivy by an instance of this class.

For instance, where you were doing:

     Ivy ivy = new Ivy();

do instead:

     Ivy14 ivy = new Ivy14();

And that should be enough in most cases!

Constructor Summary
`Ivy14()`
`Ivy14(Ivy ivy)`

Method Summary
`boolean` | `check(java.net.URL ivyFile, java.lang.String resolvername)`
`void` | `configure(java.io.File settingsFile)`
`void` | `configure(java.net.URL settingsURL)`
`void` | `configureDefault()`
`void` | `deliver(ModuleRevisionId mrid, java.lang.String revision, java.io.File cache, java.lang.String destIvyPattern, java.lang.String status, java.util.Date pubdate, PublishingDependencyRevisionResolver pdrResolver, boolean validate)`
`void` | `deliver(ModuleRevisionId mrid, java.lang.String revision, java.io.File cache, java.lang.String destIvyPattern, java.lang.String status, java.util.Date pubdate, PublishingDependencyRevisionResolver pdrResolver, boolean validate, boolean resolveDynamicRevisions)`
`java.util.Map` | `determineArtifactsToCopy(ModuleId moduleId, java.lang.String[] confs, java.io.File cache, java.lang.String destFilePattern, java.lang.String destIvyPattern)`
`java.util.Map` | `determineArtifactsToCopy(ModuleId moduleId, java.lang.String[] confs, java.io.File cache, java.lang.String destFilePattern, java.lang.String destIvyPattern, Filter artifactFilter)`
`ArtifactDownloadReport` | `download(Artifact artifact, java.io.File cache, boolean useOrigin)`
`ResolvedModuleRevision` | `findModule(ModuleRevisionId id)`
`IvyNode[]` | `getDependencies(ModuleDescriptor md, java.lang.String[] confs, java.io.File cache, java.util.Date date, ResolveReport report, boolean validate)`
`IvyNode[]` | `getDependencies(ModuleDescriptor md, java.lang.String[] confs, java.io.File cache, java.util.Date date, ResolveReport report, boolean validate, boolean transitive)`
`IvyNode[]` | `getDependencies(java.net.URL ivySource, java.lang.String[] confs, java.io.File cache, java.util.Date date, boolean validate)`
`java.lang.String` | `getVariable(java.lang.String name)`
`ResolveReport` | `install(ModuleRevisionId mrid, java.lang.String from, java.lang.String to, boolean transitive, boolean validate, boolean overwrite, Filter artifactFilter, java.io.File cache, java.lang.String matcherName)`
`void` | `interrupt()`
`void` | `interrupt(java.lang.Thread operatingThread)`
`boolean` | `isInterrupted()`
`ModuleEntry[]` | `listModuleEntries(OrganisationEntry org)`
`ModuleId[]` | `listModules(ModuleId criteria, PatternMatcher matcher)`
`ModuleRevisionId[]` | `listModules(ModuleRevisionId criteria, PatternMatcher matcher)`
`java.lang.String[]` | `listModules(java.lang.String org)`
`OrganisationEntry[]` | `listOrganisationEntries()`
`java.lang.String[]` | `listOrganisations()`
`RevisionEntry[]` | `listRevisionEntries(ModuleEntry module)`
`java.lang.String[]` | `listRevisions(java.lang.String org, java.lang.String module)`
`java.lang.String[]` | `listTokenValues(java.lang.String token, java.util.Map otherTokenValues)`
`java.util.Collection` | `publish(ModuleDescriptor md, DependencyResolver resolver, java.util.Collection srcArtifactPattern, java.lang.String srcIvyPattern, Artifact[] extraArtifacts, boolean overwrite, java.lang.String conf)`
`java.util.Collection` | `publish(ModuleRevisionId mrid, java.lang.String pubrevision, java.io.File cache, java.util.Collection srcArtifactPattern, java.lang.String resolverName, java.lang.String srcIvyPattern, java.lang.String status, java.util.Date pubdate, Artifact[] extraArtifacts, boolean validate, boolean overwrite, boolean update, java.lang.String conf)`
`java.util.Collection` | `publish(ModuleRevisionId mrid, java.lang.String pubrevision, java.io.File cache, java.lang.String srcArtifactPattern, java.lang.String resolverName, java.lang.String srcIvyPattern, boolean validate)`
`java.util.Collection` | `publish(ModuleRevisionId mrid, java.lang.String pubrevision, java.io.File cache, java.lang.String srcArtifactPattern, java.lang.String resolverName, java.lang.String srcIvyPattern, boolean validate, boolean overwrite)`
`java.util.Collection` | `publish(ModuleRevisionId mrid, java.lang.String pubrevision, java.io.File cache, java.lang.String srcArtifactPattern, java.lang.String resolverName, java.lang.String srcIvyPattern, java.lang.String status, java.util.Date pubdate, Artifact[] extraArtifacts, boolean validate, boolean overwrite, boolean update, java.lang.String conf)`
`ResolveReport` | `resolve(java.io.File ivySource)`
`ResolveReport` | `resolve(ModuleDescriptor md, java.lang.String[] confs, java.io.File cache, java.util.Date date, boolean validate, boolean useCacheOnly, boolean transitive, boolean useOrigin, boolean download, boolean outputReport, Filter artifactFilter)`
`ResolveReport` | `resolve(ModuleDescriptor md, java.lang.String[] confs, java.io.File cache, java.util.Date date, boolean validate, boolean useCacheOnly, boolean transitive, boolean download, boolean outputReport, Filter artifactFilter)`
`ResolveReport` | `resolve(ModuleDescriptor md, java.lang.String[] confs, java.io.File cache, java.util.Date date, boolean validate, boolean useCacheOnly, boolean transitive, Filter artifactFilter)`
`ResolveReport` | `resolve(ModuleDescriptor md, java.lang.String[] confs, java.io.File cache, java.util.Date date, boolean validate, boolean useCacheOnly, Filter artifactFilter)`
`ResolveReport` | `resolve(ModuleRevisionId mrid, java.lang.String[] confs)`
`ResolveReport` | `resolve(ModuleRevisionId mrid, java.lang.String[] confs, boolean transitive, boolean changing, java.io.File cache, java.util.Date date, boolean validate, boolean useCacheOnly, boolean useOrigin, Filter artifactFilter)`
`ResolveReport` | `resolve(ModuleRevisionId mrid, java.lang.String[] confs, boolean transitive, boolean changing, java.io.File cache, java.util.Date date, boolean validate, boolean useCacheOnly, Filter artifactFilter)`
`ResolveReport` | `resolve(java.net.URL ivySource)`
`ResolveReport` | `resolve(java.net.URL ivySource, java.lang.String revision, java.lang.String[] confs, java.io.File cache, java.util.Date date, boolean validate)`
`ResolveReport` | `resolve(java.net.URL ivySource, java.lang.String revision, java.lang.String[] confs, java.io.File cache, java.util.Date date, boolean validate, boolean useCacheOnly)`
`ResolveReport` | `resolve(java.net.URL ivySource, java.lang.String revision, java.lang.String[] confs, java.io.File cache, java.util.Date date, boolean validate, boolean useCacheOnly, boolean transitive, boolean useOrigin, Filter artifactFilter)`
`ResolveReport` | `resolve(java.net.URL ivySource, java.lang.String revision, java.lang.String[] confs, java.io.File cache, java.util.Date date, boolean validate, boolean useCacheOnly, boolean transitive, Filter artifactFilter)`
`ResolveReport` | `resolve(java.net.URL ivySource, java.lang.String revision, java.lang.String[] confs, java.io.File cache, java.util.Date date, boolean validate, boolean useCacheOnly, Filter artifactFilter)`
`int` | `retrieve(ModuleId moduleId, java.lang.String[] confs, java.io.File cache, java.lang.String destFilePattern)`
`int` | `retrieve(ModuleId moduleId, java.lang.String[] confs, java.io.File cache, java.lang.String destFilePattern, java.lang.String destIvyPattern)`
`int` | `retrieve(ModuleId moduleId, java.lang.String[] confs, java.io.File cache, java.lang.String destFilePattern, java.lang.String destIvyPattern, Filter artifactFilter)`
`int` | `retrieve(ModuleId moduleId, java.lang.String[] confs, java.io.File cache, java.lang.String destFilePattern, java.lang.String destIvyPattern, Filter artifactFilter, boolean sync, boolean useOrigin)`
`int` | `retrieve(ModuleId moduleId, java.lang.String[] confs, java.io.File cache, java.lang.String destFilePattern, java.lang.String destIvyPattern, Filter artifactFilter, boolean sync, boolean useOrigin, boolean makeSymlinks)`
`void` | `setVariable(java.lang.String varName, java.lang.String value)`
`java.util.List` | `sortModuleDescriptors(java.util.Collection moduleDescriptors)`
`java.util.List` | `sortNodes(java.util.Collection nodes)`
`java.lang.String` | `substitute(java.lang.String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ivy14

    public Ivy14()

### Ivy14

    public Ivy14(Ivy ivy)

Method Detail

### check

    public boolean check(java.net.URL ivyFile,
                         java.lang.String resolvername)

### configure

    public void configure(java.io.File settingsFile)
                   throws java.text.ParseException,
                          java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### configure

    public void configure(java.net.URL settingsURL)
                   throws java.text.ParseException,
                          java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### configureDefault

    public void configureDefault()
                          throws java.text.ParseException,
                                 java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### deliver

    public void deliver(ModuleRevisionId mrid,
                        java.lang.String revision,
                        java.io.File cache,
                        java.lang.String destIvyPattern,
                        java.lang.String status,
                        java.util.Date pubdate,
                        PublishingDependencyRevisionResolver pdrResolver,
                        boolean validate,
                        boolean resolveDynamicRevisions)
                 throws java.io.IOException,
                        java.text.ParseException

  Throws:
    `java.io.IOException`
    `java.text.ParseException`

### deliver

    public void deliver(ModuleRevisionId mrid,
                        java.lang.String revision,
                        java.io.File cache,
                        java.lang.String destIvyPattern,
                        java.lang.String status,
                        java.util.Date pubdate,
                        PublishingDependencyRevisionResolver pdrResolver,
                        boolean validate)
                 throws java.io.IOException,
                        java.text.ParseException

  Throws:
    `java.io.IOException`
    `java.text.ParseException`

### determineArtifactsToCopy

    public java.util.Map determineArtifactsToCopy(ModuleId moduleId,
                                                  java.lang.String[] confs,
                                                  java.io.File cache,
                                                  java.lang.String destFilePattern,
                                                  java.lang.String destIvyPattern,
                                                  Filter artifactFilter)
                                           throws java.text.ParseException,
                                                  java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### determineArtifactsToCopy

    public java.util.Map determineArtifactsToCopy(ModuleId moduleId,
                                                  java.lang.String[] confs,
                                                  java.io.File cache,
                                                  java.lang.String destFilePattern,
                                                  java.lang.String destIvyPattern)
                                           throws java.text.ParseException,
                                                  java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### download

    public ArtifactDownloadReport download(Artifact artifact,
                                           java.io.File cache,
                                           boolean useOrigin)

### findModule

    public ResolvedModuleRevision findModule(ModuleRevisionId id)

### getDependencies

    public IvyNode[] getDependencies(ModuleDescriptor md,
                                     java.lang.String[] confs,
                                     java.io.File cache,
                                     java.util.Date date,
                                     ResolveReport report,
                                     boolean validate,
                                     boolean transitive)

### getDependencies

    public IvyNode[] getDependencies(ModuleDescriptor md,
                                     java.lang.String[] confs,
                                     java.io.File cache,
                                     java.util.Date date,
                                     ResolveReport report,
                                     boolean validate)

### getDependencies

    public IvyNode[] getDependencies(java.net.URL ivySource,
                                     java.lang.String[] confs,
                                     java.io.File cache,
                                     java.util.Date date,
                                     boolean validate)
                              throws java.text.ParseException,
                                     java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### getVariable

    public java.lang.String getVariable(java.lang.String name)

### install

    public ResolveReport install(ModuleRevisionId mrid,
                                 java.lang.String from,
                                 java.lang.String to,
                                 boolean transitive,
                                 boolean validate,
                                 boolean overwrite,
                                 Filter artifactFilter,
                                 java.io.File cache,
                                 java.lang.String matcherName)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### interrupt

    public void interrupt()

### interrupt

    public void interrupt(java.lang.Thread operatingThread)

### isInterrupted

    public boolean isInterrupted()

### listModuleEntries

    public ModuleEntry[] listModuleEntries(OrganisationEntry org)

### listModules

    public ModuleId[] listModules(ModuleId criteria,
                                  PatternMatcher matcher)

### listModules

    public ModuleRevisionId[] listModules(ModuleRevisionId criteria,
                                          PatternMatcher matcher)

### listModules

    public java.lang.String[] listModules(java.lang.String org)

### listOrganisationEntries

    public OrganisationEntry[] listOrganisationEntries()

### listOrganisations

    public java.lang.String[] listOrganisations()

### listRevisionEntries

    public RevisionEntry[] listRevisionEntries(ModuleEntry module)

### listRevisions

    public java.lang.String[] listRevisions(java.lang.String org,
                                            java.lang.String module)

### listTokenValues

    public java.lang.String[] listTokenValues(java.lang.String token,
                                              java.util.Map otherTokenValues)

### publish

    public java.util.Collection publish(ModuleDescriptor md,
                                        DependencyResolver resolver,
                                        java.util.Collection srcArtifactPattern,
                                        java.lang.String srcIvyPattern,
                                        Artifact[] extraArtifacts,
                                        boolean overwrite,
                                        java.lang.String conf)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### publish

    public java.util.Collection publish(ModuleRevisionId mrid,
                                        java.lang.String pubrevision,
                                        java.io.File cache,
                                        java.util.Collection srcArtifactPattern,
                                        java.lang.String resolverName,
                                        java.lang.String srcIvyPattern,
                                        java.lang.String status,
                                        java.util.Date pubdate,
                                        Artifact[] extraArtifacts,
                                        boolean validate,
                                        boolean overwrite,
                                        boolean update,
                                        java.lang.String conf)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### publish

    public java.util.Collection publish(ModuleRevisionId mrid,
                                        java.lang.String pubrevision,
                                        java.io.File cache,
                                        java.lang.String srcArtifactPattern,
                                        java.lang.String resolverName,
                                        java.lang.String srcIvyPattern,
                                        boolean validate,
                                        boolean overwrite)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### publish

    public java.util.Collection publish(ModuleRevisionId mrid,
                                        java.lang.String pubrevision,
                                        java.io.File cache,
                                        java.lang.String srcArtifactPattern,
                                        java.lang.String resolverName,
                                        java.lang.String srcIvyPattern,
                                        boolean validate)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### publish

    public java.util.Collection publish(ModuleRevisionId mrid,
                                        java.lang.String pubrevision,
                                        java.io.File cache,
                                        java.lang.String srcArtifactPattern,
                                        java.lang.String resolverName,
                                        java.lang.String srcIvyPattern,
                                        java.lang.String status,
                                        java.util.Date pubdate,
                                        Artifact[] extraArtifacts,
                                        boolean validate,
                                        boolean overwrite,
                                        boolean update,
                                        java.lang.String conf)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### resolve

    public ResolveReport resolve(java.io.File ivySource)
                          throws java.text.ParseException,
                                 java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### resolve

    public ResolveReport resolve(ModuleDescriptor md,
                                 java.lang.String[] confs,
                                 java.io.File cache,
                                 java.util.Date date,
                                 boolean validate,
                                 boolean useCacheOnly,
                                 boolean transitive,
                                 boolean useOrigin,
                                 boolean download,
                                 boolean outputReport,
                                 Filter artifactFilter)
                          throws java.text.ParseException,
                                 java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### resolve

    public ResolveReport resolve(ModuleDescriptor md,
                                 java.lang.String[] confs,
                                 java.io.File cache,
                                 java.util.Date date,
                                 boolean validate,
                                 boolean useCacheOnly,
                                 boolean transitive,
                                 boolean download,
                                 boolean outputReport,
                                 Filter artifactFilter)
                          throws java.text.ParseException,
                                 java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### resolve

    public ResolveReport resolve(ModuleDescriptor md,
                                 java.lang.String[] confs,
                                 java.io.File cache,
                                 java.util.Date date,
                                 boolean validate,
                                 boolean useCacheOnly,
                                 boolean transitive,
                                 Filter artifactFilter)
                          throws java.text.ParseException,
                                 java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### resolve

    public ResolveReport resolve(ModuleDescriptor md,
                                 java.lang.String[] confs,
                                 java.io.File cache,
                                 java.util.Date date,
                                 boolean validate,
                                 boolean useCacheOnly,
                                 Filter artifactFilter)
                          throws java.text.ParseException,
                                 java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### resolve

    public ResolveReport resolve(ModuleRevisionId mrid,
                                 java.lang.String[] confs,
                                 boolean transitive,
                                 boolean changing,
                                 java.io.File cache,
                                 java.util.Date date,
                                 boolean validate,
                                 boolean useCacheOnly,
                                 boolean useOrigin,
                                 Filter artifactFilter)
                          throws java.text.ParseException,
                                 java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### resolve

    public ResolveReport resolve(ModuleRevisionId mrid,
                                 java.lang.String[] confs,
                                 boolean transitive,
                                 boolean changing,
                                 java.io.File cache,
                                 java.util.Date date,
                                 boolean validate,
                                 boolean useCacheOnly,
                                 Filter artifactFilter)
                          throws java.text.ParseException,
                                 java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### resolve

    public ResolveReport resolve(ModuleRevisionId mrid,
                                 java.lang.String[] confs)
                          throws java.text.ParseException,
                                 java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### resolve

    public ResolveReport resolve(java.net.URL ivySource,
                                 java.lang.String revision,
                                 java.lang.String[] confs,
                                 java.io.File cache,
                                 java.util.Date date,
                                 boolean validate,
                                 boolean useCacheOnly,
                                 boolean transitive,
                                 boolean useOrigin,
                                 Filter artifactFilter)
                          throws java.text.ParseException,
                                 java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### resolve

    public ResolveReport resolve(java.net.URL ivySource,
                                 java.lang.String revision,
                                 java.lang.String[] confs,
                                 java.io.File cache,
                                 java.util.Date date,
                                 boolean validate,
                                 boolean useCacheOnly,
                                 boolean transitive,
                                 Filter artifactFilter)
                          throws java.text.ParseException,
                                 java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### resolve

    public ResolveReport resolve(java.net.URL ivySource,
                                 java.lang.String revision,
                                 java.lang.String[] confs,
                                 java.io.File cache,
                                 java.util.Date date,
                                 boolean validate,
                                 boolean useCacheOnly,
                                 Filter artifactFilter)
                          throws java.text.ParseException,
                                 java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### resolve

    public ResolveReport resolve(java.net.URL ivySource,
                                 java.lang.String revision,
                                 java.lang.String[] confs,
                                 java.io.File cache,
                                 java.util.Date date,
                                 boolean validate,
                                 boolean useCacheOnly)
                          throws java.text.ParseException,
                                 java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### resolve

    public ResolveReport resolve(java.net.URL ivySource,
                                 java.lang.String revision,
                                 java.lang.String[] confs,
                                 java.io.File cache,
                                 java.util.Date date,
                                 boolean validate)
                          throws java.text.ParseException,
                                 java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### resolve

    public ResolveReport resolve(java.net.URL ivySource)
                          throws java.text.ParseException,
                                 java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### retrieve

    public int retrieve(ModuleId moduleId,
                        java.lang.String[] confs,
                        java.io.File cache,
                        java.lang.String destFilePattern,
                        java.lang.String destIvyPattern,
                        Filter artifactFilter,
                        boolean sync,
                        boolean useOrigin,
                        boolean makeSymlinks)

### retrieve

    public int retrieve(ModuleId moduleId,
                        java.lang.String[] confs,
                        java.io.File cache,
                        java.lang.String destFilePattern,
                        java.lang.String destIvyPattern,
                        Filter artifactFilter,
                        boolean sync,
                        boolean useOrigin)

### retrieve

    public int retrieve(ModuleId moduleId,
                        java.lang.String[] confs,
                        java.io.File cache,
                        java.lang.String destFilePattern,
                        java.lang.String destIvyPattern,
                        Filter artifactFilter)

### retrieve

    public int retrieve(ModuleId moduleId,
                        java.lang.String[] confs,
                        java.io.File cache,
                        java.lang.String destFilePattern,
                        java.lang.String destIvyPattern)

### retrieve

    public int retrieve(ModuleId moduleId,
                        java.lang.String[] confs,
                        java.io.File cache,
                        java.lang.String destFilePattern)

### setVariable

    public void setVariable(java.lang.String varName,
                            java.lang.String value)

### sortModuleDescriptors

    public java.util.List sortModuleDescriptors(java.util.Collection moduleDescriptors)

### sortNodes

    public java.util.List sortNodes(java.util.Collection nodes)

### substitute

    public java.lang.String substitute(java.lang.String str)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD